jQuery(function($){

  jQuery(document).ready(function() {

    jQuery('.color-field').wpColorPicker();

    // on upload button click
    jQuery('body').on( 'click', '.alexandria-conversation-builder-upl', function(e){

      e.preventDefault();

      var button = jQuery(this),
      custom_uploader = wp.media({
        title: 'Insert image',
        library : {
          type : 'image'
        },
        button: {
          text: 'Use this image'
        },
        multiple: false
      }).on('select', function() {
        var attachment = custom_uploader.state().get('selection').first().toJSON();
        button.html('<img src="' + attachment.url + '">').next().val(attachment.id).next().show();
      }).open();

    });

    // on remove button click
    jQuery('body').on('click', '.alexandria-conversation-builder-rmv', function(e){

      e.preventDefault();

      var button = jQuery(this);
      button.prev().val('');
      button.hide().prev().prev().html('Upload image');
    });

    jQuery('input[type=radio].contact_type').change(function() {

      if (this.value == 'custom_form') {

        jQuery('#contact_form_7_box').fadeOut();
        jQuery('#custom_form_box').fadeIn();

      }
      else {

        jQuery('#custom_form_box').fadeOut();
        jQuery('#contact_form_7_box').fadeIn();

      }

    });

    jQuery("#video_type").on('change', function(){

      if(this.value === 'library') {
        jQuery('#video_media_upload_row').css('display', 'table-row');
        jQuery('#video_media_preview_row').css('display', 'table-row');
        jQuery('#library-youtube-video').css('display', 'none');
        jQuery('#library-vimeo-video').css('display', 'none');
      }

      if(this.value === 'youtube') {
        jQuery('#library-youtube-video').css('display', 'table-row');
        jQuery('#video_media_upload_row').css('display', 'none');
        jQuery('#video_media_preview_row').css('display', 'none');
        jQuery('#library-vimeo-video').css('display', 'none');
      }

      if(this.value === 'vimeo') {
        jQuery('#library-vimeo-video').css('display', 'table-row');
        jQuery('#video_media_upload_row').css('display', 'none');
        jQuery('#video_media_preview_row').css('display', 'none');
        jQuery('#library-youtube-video').css('display', 'none');
      }

      if(this.value === '0') {
        jQuery('#library-vimeo-video').css('display', 'none');
        jQuery('#video_media_upload_row').css('display', 'none');
        jQuery('#video_media_preview_row').css('display', 'none');
        jQuery('#library-youtube-video').css('display', 'none');
      }

      return false;
    });

    if(jQuery('#select_interlocutor').length) {

      jQuery('#select_interlocutor').select2({ width: '100%' });
      jQuery('#select_situation').select2({ width: '100%' });
      jQuery('#select_tono').select2({ width: '100%' });
      jQuery('#select_objective').select2({ width: '100%' });
      jQuery('#select_relevance').select2({ width: '100%' });
      
      soliloquios = new DualListbox('#select_soliloquios',{
        availableTitle: 'Soliloquios',
        selectedTitle: 'Soliloquios Seleccionados',
        addButtonText: '>',
        removeButtonText: '<', addAllButtonText: '>>',
        removeAllButtonText: '<<',
        searchPlaceholder: 'Buscar'
      });

      conclusions = new DualListbox('#select_conclusions',{
        availableTitle: 'Conclusiones',
        selectedTitle: 'Conclusiones Seleccionados',
        addButtonText: '>',
        removeButtonText: '<', addAllButtonText: '>>',
        removeAllButtonText: '<<',
        searchPlaceholder: 'Buscar'
      });

      decisions = new DualListbox('#select_decisions',{
        availableTitle: 'Decisiones',
        selectedTitle: 'Decisiones Seleccionados',
        addButtonText: '>',
        removeButtonText: '<', addAllButtonText: '>>',
        removeAllButtonText: '<<',
        searchPlaceholder: 'Buscar'
      });

      strong_questions = new DualListbox('#strong_questions',{
        availableTitle: 'Preguntas Potentes',
        selectedTitle: 'Preguntas Potentes Seleccionadas',
        addButtonText: '>',
        removeButtonText: '<', addAllButtonText: '>>',
        removeAllButtonText: '<<',
        searchPlaceholder: 'Buscar'
      });

      select_arguments = new DualListbox('#select_arguments',{
        availableTitle: 'Argumentos',
        selectedTitle: 'Argumentos Seleccionados',
        addButtonText: '>',
        removeButtonText: '<', addAllButtonText: '>>',
        removeAllButtonText: '<<',
        searchPlaceholder: 'Buscar'
      });

      select_expect_results = new DualListbox('#select_expect_results',{
        availableTitle: 'Resultados Esperados',
        selectedTitle: 'Resultados Esperados Seleccionados',
        addButtonText: '>',
        removeButtonText: '<', addAllButtonText: '>>',
        removeAllButtonText: '<<',
        searchPlaceholder: 'Buscar'
      });

      viable_minimal = new DualListbox('#select_viable_minimal',{
        availableTitle: 'Mínimos Viables',
        selectedTitle: 'Mínimos Viables Seleccionados',
        addButtonText: '>',
        removeButtonText: '<', addAllButtonText: '>>',
        removeAllButtonText: '<<',
        searchPlaceholder: 'Buscar'
      });

      comments = new DualListbox('#select_comments',{
        availableTitle: 'Comentarios',
        selectedTitle: 'Comentarios Seleccionados',
        addButtonText: '>',
        removeButtonText: '<', addAllButtonText: '>>',
        removeAllButtonText: '<<',
        searchPlaceholder: 'Buscar'
      });

      select_examples = new DualListbox('#select_examples',{
        availableTitle: 'Ejemplos',
        selectedTitle: 'Ejemplos Seleccionados',
        addButtonText: '>',
        removeButtonText: '<', addAllButtonText: '>>',
        removeAllButtonText: '<<',
        searchPlaceholder: 'Buscar'
      });

    }

    // Init default wordpress colorpicker
    if(jQuery('#settings_conversation_builder_form').length) { 
      jQuery('.color-field').wpColorPicker();
    }

    function conversation_builder_change_settings_tab(evt, tab_id) {
      // Declare all variables
      var i, tabcontent, tablinks;

      // Get all elements with class="tabcontent" and hide them
      tabcontent = document.getElementsByClassName("tabcontent");
      for (i = 0; i < tabcontent.length; i++) {
        tabcontent[i].style.display = "none";
      }

      // Get all elements with class="tablinks" and remove the class "nav-tab-active"
      tablinks = document.getElementsByClassName("tablinks");
      for (i = 0; i < tablinks.length; i++) {
        tablinks[i].className = tablinks[i].className.replace(" nav-tab-active", "");
      }

      // Show the current tab, and add an "nav-tab-active" class to the button that opened the tab
      document.getElementById(tab_id).style.display = "block";
      evt.currentTarget.className += " nav-tab-active";
    }

  });

});

