<?php

/**
 * Landig page of admin area
 *
 * This file is used to landing page of plugin admin area.
 *
 * @link       https://lin3s.com
 * @since      1.0.0
 *
 * @package    Alexandria_Conversation_Builder
 * @subpackage Alexandria_Conversation_Builder/admin/partials
 */

?>

<div id="alexandria_landing_page" class="wrap">

	<h1 class="wp-heading-inline">
		<?php _e('Conversation Builder - Elementos', 'alexandria-conversation-builder')?>
	</h1>

	<hr class="wp-header-end">

	<div class="landing-container-bottom">

		<div class="landing-wrapper">

			<a href="/wp-admin/admin.php/edit.php?post_type=objectives" class="landing-box">

				<div class="landing-box-icon">
					<img src="<?php echo ALEXANDRIA_CONVERSATION_BUILDER_ADMIN_PATH."/assets/images/objectives.png"?>" alt="" />
				</div>

				<div class="landing-box-title-wrapper">
					<h2><?php _e('Objetivos', 'alexandria-conversation-builder') ?></h2>
				</div>

			</a>

			<a href="/wp-admin/admin.php/edit.php?post_type=soliloquios" class="landing-box">

				<div class="landing-box-icon">
					<img src="<?php echo ALEXANDRIA_CONVERSATION_BUILDER_ADMIN_PATH."/assets/images/soliloquios.png"?>" alt="" />
				</div>

				<div class="landing-box-title-wrapper">
					<h2><?php _e('Soliloquios', 'alexandria-conversation-builder') ?></h2>
				</div>

			</a>

			<a href="/wp-admin/admin.php/edit.php?post_type=conclusions" class="landing-box">

				<div class="landing-box-icon">
					<img src="<?php echo ALEXANDRIA_CONVERSATION_BUILDER_ADMIN_PATH."/assets/images/conclusions.png"?>" alt="" />
				</div>

				<div class="landing-box-title-wrapper">
					<h2><?php _e('Conclusiones', 'alexandria-conversation-builder') ?></h2>
				</div>

			</a>

			<a href="/wp-admin/admin.php/edit.php?post_type=decisions" class="landing-box">

				<div class="landing-box-icon">
					<img src="<?php echo ALEXANDRIA_CONVERSATION_BUILDER_ADMIN_PATH."/assets/images/decisions.png"?>" alt="" />
				</div>

				<div class="landing-box-title-wrapper">
					<h2><?php _e('Decisiones', 'alexandria-conversation-builder') ?></h2>
				</div>

			</a>

			<a href="/wp-admin/admin.php/edit.php?post_type=expect_results" class="landing-box">

				<div class="landing-box-icon">
					<img src="<?php echo ALEXANDRIA_CONVERSATION_BUILDER_ADMIN_PATH."/assets/images/expect_results.png"?>" alt="" />
				</div>

				<div class="landing-box-title-wrapper">
					<h2><?php _e('Resultados Esperados', 'alexandria-conversation-builder') ?></h2>
				</div>

			</a>

		</div>

	</div>

	<div class="landing-container-bottom">

		<div class="landing-wrapper">

			<a href="/wp-admin/admin.php/edit.php?post_type=strong_questions" class="landing-box">

				<div class="landing-box-icon">
					<img src="<?php echo ALEXANDRIA_CONVERSATION_BUILDER_ADMIN_PATH."/assets/images/preguntas_potentes.png"?>" alt="" />
				</div>

				<div class="landing-box-title-wrapper">
					<h2><?php _e('Preguntas Potentes', 'alexandria-conversation-builder') ?></h2>
				</div>

			</a>

			<a href="/wp-admin/admin.php/edit.php?post_type=relevances" class="landing-box">

				<div class="landing-box-icon">
					<img src="<?php echo ALEXANDRIA_CONVERSATION_BUILDER_ADMIN_PATH."/assets/images/relevances.png"?>" alt="" />
				</div>

				<div class="landing-box-title-wrapper">
					<h2><?php _e('Relevancias', 'alexandria-conversation-builder') ?></h2>
				</div>

			</a>

			<a href="/wp-admin/admin.php/edit.php?post_type=arguments" class="landing-box">

				<div class="landing-box-icon">
					<img src="<?php echo ALEXANDRIA_CONVERSATION_BUILDER_ADMIN_PATH."/assets/images/arguments.png"?>" alt="" />
				</div>

				<div class="landing-box-title-wrapper">
					<h2><?php _e('Argumentos', 'alexandria-conversation-builder') ?></h2>
				</div>

			</a>

			<a href="/wp-admin/admin.php/edit.php?post_type=viable_minimal" class="landing-box">

				<div class="landing-box-icon">
					<img src="<?php echo ALEXANDRIA_CONVERSATION_BUILDER_ADMIN_PATH."/assets/images/minimo_viable.png"?>" alt="" />
				</div>

				<div class="landing-box-title-wrapper">
					<h2><?php _e('Mínimo Viable', 'alexandria-conversation-builder') ?></h2>
				</div>

			</a>

			<a href="/wp-admin/admin.php/edit.php?post_type=alexandria_comments" class="landing-box">

				<div class="landing-box-icon">
					<img src="<?php echo ALEXANDRIA_CONVERSATION_BUILDER_ADMIN_PATH."/assets/images/comments.png"?>" alt="" />
				</div>

				<div class="landing-box-title-wrapper">
					<h2><?php _e('Comentarios', 'alexandria-conversation-builder') ?></h2>
				</div>

			</a>

			<a href="/wp-admin/admin.php/edit.php?post_type=builder_examples" class="landing-box">

				<div class="landing-box-icon">
					<img src="<?php echo ALEXANDRIA_CONVERSATION_BUILDER_ADMIN_PATH."/assets/images/examples.png"?>" alt="" />
				</div>

				<div class="landing-box-title-wrapper">
					<h2><?php _e('Ejemplos', 'alexandria-conversation-builder') ?></h2>
				</div>

			</a>

		</div>

	</div>

</div>

<br class="clear">

</div>
