<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://lin3s.com
 * @since      1.0.0
 *
 * @package    Alexandria_Conversation_Builder
 * @subpackage Alexandria_Conversation_Builder/admin/partials
 */

$active_tab = isset( $_GET[ "tab"] ) ? $_GET["tab"] : "general";

$active_general = ($active_tab=='general' ? 'nav-tab-active':'');
$active_builder_styles = ($active_tab=='builder_styles' ? 'nav-tab-active':'');
$active_contact_form = ($active_tab=='contact_form' ? 'nav-tab-active':'');

?>
<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<div class="wrap">

	<div id="icon-themes" class="icon32"></div>  

	<h2><?php _e('Alexandria Conversation Builder'); ?> - <?php _e('Opciones', 'alexandria-conversation-builder'); ?></h2> 

	<h2 class="nav-tab-wrapper">
		<a href="?page=alexandria-conversation-builder-config-menu&tab=general" class="nav-tab <?php echo $active_general; ?>"><?php _e('Generales', 'alexandria-conversation-builder'); ?></a>
		<a href="?page=alexandria-conversation-builder-config-menu&tab=builder_styles" class="nav-tab <?php echo $active_builder_styles; ?>"><?php _e('Estilos Builder', 'alexandria-conversation-builder'); ?></a>
		<a href="?page=alexandria-conversation-builder-config-menu&tab=contact_form" class="nav-tab <?php echo $active_contact_form; ?>"><?php _e('Formulario Contacto', 'alexandria-conversation-builder'); ?></a>
	</h2>

	<!--NEED THE settings_errors below so that the errors/success messages are shown after submission - wasn't working once we started using add_menu_page and stopped using add_options_page so needed this-->
	<?php 

	settings_errors();

	?>

	<form id="settings_form" method="POST" action="options.php">

		<?php 

		switch ($active_tab) {

			case 'general':
			$this->options = get_option( $this->plugin_name . '-option-group' ); 
			settings_fields( $this->plugin_name . '-option-group' );
			do_settings_sections( $this->plugin_name . '-settings' ); 
			break;

			case 'builder_styles':
			$this->options = get_option( $this->plugin_name . '-styles-group' ); 
			settings_fields( $this->plugin_name . '-styles-group' );
			do_settings_sections( $this->plugin_name . '-styles' );
			break;

			case 'contact_form':

			$this->options = get_option( $this->plugin_name . '-contact-form-type-group' );

			settings_fields( $this->plugin_name . '-contact-form-type-group' );
			do_settings_sections( $this->plugin_name . '-contact-type' );

			$form_type = get_option( $this->plugin_name . '_contact_type' );

			?>

			<div id="contact_form_7_box" <?php echo $form_type == 'contact_form_7' ? '' : 'style="display:none;"'; ?>>

				<?php

				if(function_exists('wpcf7_add_shortcode')) {
					
					$this->options = get_option( $this->plugin_name . '-contact-form-group' );

					settings_fields( $this->plugin_name . '-contact-form-group' );
					do_settings_sections( $this->plugin_name . '-contact-form-7' );

				} else { ?>

					<p><?php _e('No se ha encontrado el plugin de Contact Form 7', 'alexandria-conversation-builder' );  ?></p>

				<?php } ?>

			</div>

			<div id="custom_form_box" <?php echo $form_type == 'contact_form_7' ? 'style="display:none;"' : ''; ?>>

				<?php

				$this->options = get_option( $this->plugin_name . '-contact-form-custom-group' );

				settings_fields( $this->plugin_name . '-contact-form-custom-group' );
				do_settings_sections( $this->plugin_name . '-contact' );

				?>

			</div>

			<?php

			break;

			default:
			$this->options = get_option( $this->plugin_name . '-option-group' ); 
			settings_fields( $this->plugin_name . '-option-group' );
			do_settings_sections( $this->plugin_name . '-settings' ); 
			break;
		}

		submit_button();

		?>
	
	</form> 

</div>