<?php

/**
 * Conversation Builder inner template.
 *
 * @package Alexandria_Conversation_Builder
 * @subpackage Alexandria_Conversation_Builder/public/templates
 */

if ( ! defined( 'ABSPATH' ) ) { exit; } // Exit if accessed directly

$plugin_name = "alexandria-conversation-builder";

$header_bg_color = get_option( $plugin_name.'_color_barra_cabecera_interior' ) ?  get_option( $plugin_name.'_color_barra_cabecera_interior' ) : '#6628DD';

$header_text_color = get_option( $plugin_name .'_color_texto_barra_cabecera_interior' ) ?  get_option( $plugin_name .'_color_texto_barra_cabecera_interior' ) : '#FFFFFF';

?>

<!-- Header Title -->
<?php include 'layouts/builder_fixed_header.php' ?>
<!-- End Header Title -->

<!-- Steps Container Section -->
<section id="alexandria_conversation_builder_main" class="alexandria-conversation-builder__steps-container">

	<div class="alexandria-conversation-builder__steps-wrapper">

		<!-- End Loader Spinner -->
		<?php include 'elements/loading-spinner.php' ?>
		<!-- End Loader Spinner section -->

		<!-- Steps Section -->
		<?php include 'partials/interlocutors-step.php' ?>

		<?php include 'partials/situations-step.php' ?>

		<?php include 'partials/tonos-step.php' ?>

		<?php include 'partials/tabs_section-step.php' ?>
		<!-- End Steps Section -->

		<!-- Controls Container -->
		<div class="alexandria-conversation-builder__steps-controls-container">

			<div class="alexandria-conversation-builder__steps-controls-wrapper">

				<a href="#" class="alexandria-conversation-builder__steps-controls-button back">
					<?php _e('Atrás', 'alexandria-conversation-builder') ?>
				</a>

				<a href="#" class="alexandria-conversation-builder__steps-controls-button continue">
					<?php _e('Siguiente', 'alexandria-conversation-builder') ?>
				</a>

			</div>

		</div>
		<!-- End Controls Container -->

		<!-- Hiden Form -->
		<form id="alexandria-hidden-form" action="">
			<input type="hidden" value="" name="interlocutor" id="interlocutor_id" data-step="1" data-title=""/>
			<input type="hidden" value="" name="situation" id="situation_id" data-step="2" data-parent_title="" data-title=""/>
			<input type="hidden" value="" name="tono" id="tono_id" data-step="3" data-title=""/>		
		</form>
		<!-- End Hiden Form -->


		<!-- Contact Form Modal -->
		<?php include 'elements/contact-modal.php' ?>
		<!-- End Contact Form Modal -->


		<!-- Video Modal -->
		<?php include 'elements/video-modal.php' ?>
		<!-- End Video Modal -->
		

		<!-- Hidden Video Area -->
		<div class="alexandria-conversation-builder__hidden-video-area">
		</div>
		<!-- End Hidden Video Area -->

		<!-- Hidden Text Area -->
		<div class="alexandria-conversation-builder__hidden-text-area">
			<textarea id="alexandria_conversation_builder_textarea_clipboard" name="hidden_text_area" tabindex='-1' aria-hidden='true'></textarea>
		</div>
		<!-- End Hidden Text Area -->

		<!-- Conversation Not Found Message Area -->
		<div id="alexandria_conversation_not_found" class="alexandria-conversation-builder__conversation-not-found-container">

			<div class="alexandria-conversation-builder__conversation-not-found-text-section">
				<span><?php _e('Lo sentimos, no se ha encontrado ninguna conversación con esas características, vuelva atrás y seleccione otras características.', 'alexandria-conversation-builder'); ?></span>
			</div>

			<div class="alexandria-conversation-builder__conversation-not-found-button-section">
				<a id="alexandria_conversation_builder_back_to_init" href="#">
					<?php _e('Atrás', 'alexandria-conversation-builder') ?>
				</a>
			</div>

		</div>
		<!-- End Conversation Not Found Message Area -->

	</div>

</section>
<!-- End Steps Container Section -->